> This page is for Applications Protection.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.humansecurity.com/llms.txt.

# Upload credentials

POST https://sapi-123456789.perimeterx.net/api/v1/is_compromised
Content-Type: application/json

Receive an analysis on whether the provided credentials were flagged as compromised by CI collection.


Reference: https://docs.humansecurity.com/applications/reference/upload-credentials

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `appId` (string, required) — The Application ID
- `credentials` (string, required) — A hashed, salted, and normalized version of the credential pair. [Contact us](/applications/human-customer-support) to get the normalization and hashing code.

## Response

### 200

Success

- `compromised` (boolean, optional) — Whether Credential Intelligence detected the credentials as compromised. `true` means CI did detect them as compromised.

## Errors

### 401 Unauthorized Error

Access token is missing or invalid.

- `any`

### 429 Too Many Requests Error

Rate limit exceeded. Contact HUMAN to increase the limit.

- `any`

### 500 Internal Server Error

Internal error. Contact HUMAN if the error persists.

- `any`

## Examples

**Request**

```json
{
  "appId": "string",
  "credentials": "string"
}
```

**Response**

```json
{
  "compromised": true
}
```

**SDK Code**

```python
import requests

url = "https://sapi-123456789.perimeterx.net/api/v1/is_compromised"

payload = {
    "appId": "string",
    "credentials": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sapi-123456789.perimeterx.net/api/v1/is_compromised';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"appId":"string","credentials":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sapi-123456789.perimeterx.net/api/v1/is_compromised"

	payload := strings.NewReader("{\n  \"appId\": \"string\",\n  \"credentials\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sapi-123456789.perimeterx.net/api/v1/is_compromised")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"appId\": \"string\",\n  \"credentials\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sapi-123456789.perimeterx.net/api/v1/is_compromised")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"appId\": \"string\",\n  \"credentials\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sapi-123456789.perimeterx.net/api/v1/is_compromised', [
  'body' => '{
  "appId": "string",
  "credentials": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sapi-123456789.perimeterx.net/api/v1/is_compromised");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"appId\": \"string\",\n  \"credentials\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "appId": "string",
  "credentials": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sapi-123456789.perimeterx.net/api/v1/is_compromised")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```